Cards & Wallets · Risk Management · Optimize Verify
Transaction Status
Using the appropriate transaction key, the Transaction Status API can be used to determine the status of a transaction both while it is being processed and once it has been completed.
There are two types of response provided by the Transaction Status API:
- Completed: this response is provided by the Transaction Status API when the transaction is entirely completed by the Verify Async API.
- Pending: this response is provided by the Transaction Status API when the transaction is still executing and is in the pending state.
API response examples
Completed response
EndpointDefinition
GET /optimizeverify/transactions/{transactionKey}cURL
curl -X GET "{targetEnvironmentPath}/optimizeverify/transactions/041bed6d-6394-47c1-9a92-53c4d9175cfe" \
-H "Authorization: Basic {base64(licenceKey:clientKey)}" \
-H "Accept: application/json"Response
HTTP/1.1 200
{
"TransactionType": 0,
"Key": "041bed6d-6394-47c1-9a92-53c4d9175cfe",
"About": {
"Service": "AllVendors",
"LicenceKey": "00000000-0000-0000-0000-000000000000",
"ProfileShortCode": "ePassport",
"ClientKey": "CISTEST",
"ClientRequestTag": "",
"RequestType": 2,
"RequestReference": "0",
"TransactionReference": "Tag A",
"SystemVersion": "3.50.3.0"
},
"Request": {
"Time": "2022-07-12T09:21:17Z",
"Tag": null,
"Result": "{\r\n \"AsyncCallback\": {\r\n \"ResultCallback\": \"https://resultcallback.requestcatcher.com/\",\r\n \"CheckProcessingCallback\": \"https://checkprocessingcallback.requestcatcher.com/\"\r\n },\r\n \"Person\": {\r\n \"Title\": \"Mr\",\r\n \"Forename\": \"Marc\",\r\n \"Surname\": \"Brookes\",\r\n \"Date_Of_Birth\": \"1965-01-09\",\r\n \"Email\": \"[email protected]\",\r\n \"HomeTelNo\": \"9798965432\"\r\n },\r\n \"Address\": [\r\n {\r\n \"HouseNumber\": \"HAFOD RHUG\",\r\n \"PostCode\": \"IV448TZ\",\r\n \"Country\": \"GBR\"\r\n }\r\n ],\r\n \"RequestDetail\": {}\r\n}",
"ResolvedRequest": "{\r\n \"AsyncCallback\": {\r\n \"ResultCallback\": \"https://resultcallback.requestcatcher.com/\",\r\n \"CheckProcessingCallback\": \"https://checkprocessingcallback.requestcatcher.com/\"\r\n },\r\n \"Person\": {\r\n \"Title\": \"Mr\",\r\n \"Forename\": \"Marc\",\r\n \"Surname\": \"Brookes\",\r\n \"Date_Of_Birth\": \"1965-01-09\",\r\n \"Email\": \"[email protected]\",\r\n \"HomeTelNo\": \"9798965432\"\r\n },\r\n \"Address\": [\r\n {\r\n \"HouseNumber\": \"HAFOD RHUG\",\r\n \"PostCode\": \"IV448TZ\",\r\n \"Country\": \"GBR\"\r\n }\r\n ],\r\n \"RequestDetail\": {}\r\n}"
},
"Response": {
"Time": "2022-07-12T09:21:17.660343Z",
"ResultStatus": 1,
"Alert": false,
"AlertResults": [],
"PotValues": [
{
"PotName": "Pass",
"PotAmount": 1
}
],
"Result": [
{
"Name": "Stage1",
"Conditions": [
{
"If": 0,
"Then": 1,
"NextStageIndex": 2
},
{
"If": 1,
"Then": 1,
"NextStageIndex": 2
},
{
"If": 2,
"Then": 1,
"NextStageIndex": 2
}
],
"StageResult": 1,
"CheckResults": [
{
"Rules": [
{
"FilterShortCode": "GenericContains",
"FilterParameter": "20",
"FilterParameterKey": "score",
"Comparator": 0,
"CheckAmount": 0,
"RuleResult": 1,
"PotName": "Pass",
"AlertMessage": null,
"LastUpdatedDate": "2022-07-12T09:07:18Z"
}
],
"StageName": "Stage1",
"CheckName": "Hooyu - Passport",
"CheckShortCode": "HooyuPassport",
"Result": 1,
"Error": null,
"RuleResult": [
{
"Result": 1,
"PotName": "Pass",
"PotAmount": 1,
"AlertMessage": null
}
],
"RawResults": "[]",
"FullOutput": [
{
"CheckOutput": {
"hashKey": "2735e7db92612e3ecf6d236b54cf18ee67e8a6870f238653dee26687ee55ddbe",
"idRequest": "30d8c89d-8c80-4fa2-8777-e6fa543dc6c8",
"nbSocial": "9",
"ageSocial": "7.5",
"geoLocations[0].html5": "True",
"geoLocations[0].location.id": "",
"geoLocations[0].location.address1": "",
"geoLocations[0].location.address2": "",
"geoLocations[0].location.address3": "",
"geoLocations[0].location.town": "London",
"geoLocations[0].location.postcode": "",
"geoLocations[0].location.country": "GBR",
"geoLocations[0].location.region": "",
"geoLocations[0].location.state": "",
"geoLocations[0].location.type": "",
"geoLocations[0].location.latitude": "0",
"geoLocations[0].location.longitude": "0",
"geoLocations[0].location.addressForDisplay": "",
"geoLocations[0].locationForDisplay": "London, United Kingdom",
"primaryPhone": "+44 20 1234 5678",
"knownPhones": "+44 20 8765 4321",
"primaryEmail": "[email protected]",
"knownEmails": "[email protected]",
"name": "Jane Doe",
"nameVerified": "True",
"knownNameAliases[0]": "Janet Doe",
"knownNameAliases[1]": "Janey Doe",
"primaryLocation": "London, United Kingdom",
"primaryLocationShared": "True",
"primaryLocationVerified": "True",
"knownLocations[0]": "Edinburgh, United Kingdom",
"knownLocations[1]": "Amsterdam, Netherlands",
"addresses.address_1": "Room 67, 14 Tottenham Court Road, London, England, W1T 1JY",
"addresses.address_2": "Department 98, 44-46 Morningside Road, Edinburgh, Scotland, EH10 4BF",
"picture": "picture",
"pictureShared": "True",
"pictureVerified": "True",
"ageRange": "25-29",
"ageRangeVerified": "True",
"nationality": "United Kingdom",
"documentResults": "",
"employmentHistory[0]": "Project Manager at Google",
"employmentHistory[1]": "Project Manager at Amazon",
"websites[0]": "janedoe.com",
"websites[1]": "crazyjan.org",
"educationHistory[0]": "University of London",
"educationHistory[1]": "London Central Secondary School",
"occupations[0]": "ProjectManager at Google",
"facebookLikes": "53",
"facebookVideos": "12",
"facebookPhotos": "97",
"facebookPosts": "125",
"hometown": "London, United Kingdom",
"badges[0]": "connections-250",
"badges[1]": "address",
"badges[2]": "live-photo",
"badges[3]": "age-indicator-25",
"badges[4]": "social",
"badges[5]": "social-age",
"badges[6]": "face-match",
"badges[7]": "jobs",
"badges[8]": "educations",
"badges[9]": "videos",
"badges[10]": "occupations",
"badges[11]": "photos",
"badges[12]": "posts",
"badges[13]": "gender-F",
"badges[14]": "eu",
"badges[15]": "phone",
"badges[16]": "age-range",
"badges[17]": "dob",
"badges[18]": "nationality-GBR",
"badges[19]": "language-en",
"badges[20]": "location",
"badges[21]": "relationship_single",
"badges[22]": "email",
"badges[23]": "likes",
"sources[0]": "driving",
"sources[1]": "passport",
"sources[2]": "selfie",
"sources[3]": "id",
"fraudulentDocuments": "False",
"decisionReason": "Looks good",
"signature": "False",
"reference": "2735e7db92612e3ecf6d236b54cf18ee67e8a6870f238653dee26687ee55ddbe",
"score": "20",
"confirmed": "False",
"status": "completed",
"type": "",
"id": "30d8c89d-8c80-4fa2-8777-e6fa543dc6c8",
"result": "PASS",
"environment": "DDC-Capita",
"documents.Passport.dateOfExpiry": "2022-03-02",
"documents.Passport.firstname": "Jane",
"documents.Passport.documentType": "Passport",
"documents.Passport.created": "2022-03-17 05:04:53",
"documents.Passport.dateOfBirth": "1981-05-25",
"documents.Passport.acceptAsPaymentCard": "False",
"documents.Passport.manual": "False",
"documents.Passport.score": "85",
"documents.Passport.mrz.documentSubType": "documentSubtype",
"documents.Passport.mrz.dateOfExpiry": "2022-03-17",
"documents.Passport.mrz.firstname": "Jane",
"documents.Passport.mrz.gender": "F",
"documents.Passport.mrz.documentType": "Passport",
"documents.Passport.mrz.documentNumber": "ABCDEFGH",
"documents.Passport.mrz.givenName": "Jane Rose",
"documents.Passport.mrz.dateOfBirth": "1981-05-25",
"documents.Passport.mrz.personalNumber": "PersonalNumber",
"documents.Passport.mrz.issuingStateOrOrganization": "GBR",
"documents.Passport.mrz.dateOfExpiryValid": "True",
"documents.Passport.mrz.valid": "True",
"documents.Passport.mrz.nationality": "GBR",
"documents.Passport.mrz.middlenames": "Rose",
"documents.Passport.mrz.issuingStateOrOrganizationValid": "True",
"documents.Passport.mrz.surname": "Doe",
"documents.Passport.mrz.name": "John Doe",
"documents.Passport.mrz.documentNumberValid": "True",
"documents.Passport.mrz.dateOfBirthValid": "True",
"documents.Passport.mrz.personalNumberValid": "True",
"documents.Passport.mrz.nationalityValid": "True",
"documents.Passport.surname": "Doe",
"documents.Passport.acceptAsPOA": "False",
"documents.Passport.backForged": "False",
"documents.Passport.dossierSummary.hologramOK": "True",
"documents.Passport.dossierSummary.securityFeaturesOK": "True",
"documents.Passport.dossierSummary.dataPositionsOK": "True",
"documents.Passport.dossierSummary.microPrintOK": "True",
"documents.Passport.dossierSummary.signatureOK": "True",
"documents.Passport.frontForged": "False",
"documents.IdentityCard.dateOfExpiry": "2022-03-02",
"documents.IdentityCard.firstname": "Jane",
"documents.IdentityCard.documentType": "IdentityCard",
"documents.IdentityCard.created": "2022-03-17 05:04:53",
"documents.IdentityCard.dateOfBirth": "1981-05-25",
"documents.IdentityCard.acceptAsPaymentCard": "False",
"documents.IdentityCard.manual": "False",
"documents.IdentityCard.score": "85",
"documents.IdentityCard.mrz.documentSubType": "documentSubtype",
"documents.IdentityCard.mrz.dateOfExpiry": "2022-03-17",
"documents.IdentityCard.mrz.firstname": "Jane",
"documents.IdentityCard.mrz.gender": "F",
"documents.IdentityCard.mrz.documentType": "IdentityCard",
"documents.IdentityCard.mrz.documentNumber": "ABCDEFGH",
"documents.IdentityCard.mrz.givenName": "Jane Rose",
"documents.IdentityCard.mrz.dateOfBirth": "1981-05-25",
"documents.IdentityCard.mrz.personalNumber": "PersonalNumber",
"documents.IdentityCard.mrz.issuingStateOrOrganization": "GBR",
"documents.IdentityCard.mrz.dateOfExpiryValid": "True",
"documents.IdentityCard.mrz.valid": "True",
"documents.IdentityCard.mrz.nationality": "GBR",
"documents.IdentityCard.mrz.middlenames": "Rose",
"documents.IdentityCard.mrz.issuingStateOrOrganizationValid": "True",
"documents.IdentityCard.mrz.surname": "Doe",
"documents.IdentityCard.mrz.name": "John Doe",
"documents.IdentityCard.mrz.documentNumberValid": "True",
"documents.IdentityCard.mrz.dateOfBirthValid": "True",
"documents.IdentityCard.mrz.personalNumberValid": "True",
"documents.IdentityCard.mrz.nationalityValid": "True",
"documents.IdentityCard.surname": "Doe",
"documents.IdentityCard.acceptAsPOA": "False",
"documents.IdentityCard.backForged": "False",
"documents.IdentityCard.dossierSummary.hologramOK": "True",
"documents.IdentityCard.dossierSummary.securityFeaturesOK": "True",
"documents.IdentityCard.dossierSummary.dataPositionsOK": "True",
"documents.IdentityCard.dossierSummary.microPrintOK": "True",
"documents.IdentityCard.dossierSummary.signatureOK": "True",
"documents.IdentityCard.frontForged": "False",
"scores.driving": "85",
"scores.matchLocation": "70",
"scores.passport": "85",
"scores.matchName": "95",
"scores.matchAge": "80",
"scores.id": "85",
"scores.faces": "95",
"scores.matchAll": "75",
"scores.master": "92",
"vendor": "1",
"vendorDisplayName": "Hooyu"
},
"FilterOutput": [
{
"FilterCode": "GenericContains",
"Key": "score",
"Parameter": "20",
"Matched": {
"score": true
}
}
]
}
],
"TransactionStepKeyMap": [
"b1dd564c-e62e-4228-8786-af100aa22cca"
]
}
],
"StageId": 495,
"StageCost": 0
}
],
"RuleSetInfo": {
"OverallPass": 1,
"OverallFail": 0,
"IfInconclusive": 3,
"RulePotDetail": [
{
"PotName": "Pass",
"Comparator": 0,
"CompareAmount": 0,
"Weight": 1,
"PotResult": 1
}
]
},
"Error": null,
"RawResponse": null
}
}Pending response
EndpointDefinition
GET /optimizeverify/transactions/{transactionKey}cURL
curl -X GET "{targetEnvironmentPath}/optimizeverify/transactions/54b326b8-3abb-459d-9a4c-f61572b2392f" \
-H "Authorization: Basic {base64(licenceKey:clientKey)}" \
-H "Accept: application/json"Response
HTTP/1.1 200
{
"TransactionKey": "54b326b8-3abb-459d-9a4c-f61572b2392f",
"Current": {
"StageName": "Stage1",
"CheckName": "Hooyu - Passport"
},
"Stages": [
{
"StageName": "Stage1",
"Checks": [
{
"Name": "Hooyu - Passport",
"Status": "Pending",
"ProcessingUrl": "https://www.hooyu.com/checkid/request/321a3ffa-eb89-463a-a0fb-595c24b72fd5"
}
]
}
]
}